<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      fetch('flores.jpg').then(function (response) {
         if (response.ok) {
            response.blob().then(function (miBlob) {
               var objetURL = URL.createObjectURL(miBlob);
               miImagen.src = objetURL;
            });
         } else {
            console.log('Respuesta de red OK.');
         }
      })
         .catch(function (error) {
            console.log('Hubo un problema con la peticion Fetch:' + error.message);
         });
   </script>
</body>

</html>